#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

void main()
{

	//gl_FragColor = v_fragmentColor;
	//gl_FragColor = texture2D(CC_Texture0, v_texCoord) * v_fragmentColor;
	
	//turbo fajne :) - wersja do pokolorwania przez dzieci
	//gl_FragColor = vec4(texture2D(CC_Texture0, v_texCoord).a);

	//vec4 overlay = vec4(0.05, 0.06, 0.07, 0.82);
 
	const vec4 tint = vec4(0.05, 0.06, 0.07, 0.82);
	vec4 texSample = texture2D(CC_Texture0, v_texCoord);
	
	//optimizations as suggested by opengl.org, i know it looks ridiculous
	//gl_FragColor = constantList.xxxy * (vec4(u_overlayColor.a) * u_overlayColor + vec4(1.0 - u_overlayColor.a) * texSample) + constantList.yyyx * texSample.xyzw;
	
	gl_FragColor.rgb = vec3(tint.a) * tint.rgb + vec3(1.0 - tint.a) * texSample.rgb;
	gl_FragColor.a = texSample.a;
    
    gl_FragColor = v_fragmentColor * gl_FragColor;
}
